
Katello - Bug #22877

Katello 3.6 and nightly yum repos

03/13/2018 09:37 AM - Matthew Smith

Status: Resolved   

Priority: High   

Assignee: Zach Huntington-Meath   

Category:    

Target version: Katello 3.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi

Has the repos been moved?

The Katello 3.6 yum repo has not been updated since 22/02/2018 and the nightly yum repo since 06/02/2018.

Related issues:

Related to Discovery - Refactor #21819: Add Rails 5 style migrations Closed 11/30/2017

Has duplicate Foreman Remote Execution - Bug #22871: Oops, we're sorry but so... Duplicate 03/12/2018

History

#1 - 03/14/2018 05:35 PM - Andrew Kofink

Nightly only gets published when this job passes http://ci.theforeman.org/job/katello-nightly-release/. It has been failing since Feb 5, and we're

investigating the failures.

#2 - 03/15/2018 09:12 AM - Matthew Smith

Thanks for the update Andrew.  Which version is known to be working?  I've tested 3.4, 3.5, 3.6 and 3.7 using the latest CentOS 7.4 updates and epel

updates and I have issues with all that prevents me to have a working provisioning system.

#3 - 03/21/2018 05:36 PM - Justin Sherrill

- Tracker changed from Support to Bug

- Status changed from New to Need more information

What issues are you having exactly?  the nightly was just updated recently and 3.6 should be working

#4 - 03/21/2018 10:01 PM - Matthew Smith

Hi,

I reinstalled 3.6 and still get the same problems.

1.  when I click create host I immeadiatley get the following error message.  It does not even get to the page to enter details.

NoMethodError

undefined method `execution' for #<Nic::Managed:0x007f1c15afbc88>

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activemodel-5.1.4/lib/active_model/attribute_methods.rb:432:in `method_missing'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/relation/delegation.rb:39:in `each'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/relation/delegation.rb:39:in `each'

/usr/share/foreman/app/models/host/base.rb:480:in `detect'

/usr/share/foreman/app/models/host/base.rb:480:in `get_interface_by_flag'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_remote_execution-1.4.5/app/models/concerns/foreman_remote_execution/host_extensions.r

b:60:in `execution_interface'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_remote_execution-1.4.5/app/models/concerns/foreman_remote_execution/host_extensions.r

b:106:in `build_required_interfaces'

/usr/share/foreman/app/models/host/base.rb:76:in `initialize'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/routing/url_for.rb:106:in `initialize'
/usr/share/foreman/app/models/host/managed.rb:50:in `initialize'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/inheritance.rb:66:in `new'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/inheritance.rb:66:in `new'

/usr/share/foreman/app/models/concerns/foreman/sti.rb:19:in `new'

/usr/share/foreman/app/models/host.rb:15:in `method_missing'

/usr/share/foreman/app/controllers/hosts_controller.rb:86:in `new'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_controller/metal/basic_implicit_render.rb:4:in `send_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/abstract_controller/base.rb:186:in `process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_controller/metal/rendering.rb:30:in `process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/abstract_controller/callbacks.rb:20:in `block in process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:108:in `block in run_callbacks'

/usr/share/foreman/app/controllers/concerns/application_shared.rb:15:in `set_timezone'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:117:in `block in run_callbacks'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:117:in `block in run_callbacks'

/usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in `set_topbar_sweeper_controller'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:117:in `block in run_callbacks'

/opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.4.1/lib/audited/sweeper.rb:14:in `around'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:117:in `block in run_callbacks'

/opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.4.1/lib/audited/sweeper.rb:14:in `around'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:117:in `block in run_callbacks'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:135:in `run_callbacks'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/abstract_controller/callbacks.rb:19:in `process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_controller/metal/rescue.rb:20:in `process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/notifications.rb:166:in `block in instrument'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/notifications/instrumenter.rb:21:in `instrument'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/notifications.rb:166:in `instrument'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_controller/metal/instrumentation.rb:30:in `process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_controller/metal/params_wrapper.rb:252:in `process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/railties/controller_runtime.rb:22:in `process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/abstract_controller/base.rb:124:in `process'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.4/lib/action_view/rendering.rb:30:in `process'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_controller/metal.rb:189:in `dispatch'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_controller/metal.rb:253:in `dispatch'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/routing/route_set.rb:49:in `dispatch'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/routing/route_set.rb:31:in `serve'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/journey/router.rb:50:in `block in serve'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/journey/router.rb:33:in `each'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/journey/router.rb:33:in `serve'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/routing/route_set.rb:834:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.6/lib/apipie/static_dispatcher.rb:65:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.6/lib/apipie/extractor/recorder.rb:136:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.6/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:8:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/etag.rb:25:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/conditional_get.rb:25:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/head.rb:12:in `call'

/usr/share/foreman/lib/middleware/session_safe_logging.rb:17:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/session/abstract/id.rb:232:in `context'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/session/abstract/id.rb:226:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/cookies.rb:613:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/callbacks.rb:26:in `block in call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:97:in `run_callbacks'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/callbacks.rb:24:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/debug_exceptions.rb:59:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/railties-5.1.4/lib/rails/rack/logger.rb:36:in `call_app'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/railties-5.1.4/lib/rails/rack/logger.rb:26:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/sprockets-rails-3.2.1/lib/sprockets/rails/quiet_assets.rb:13:in `call'

/usr/share/foreman/lib/middleware/tagged_logging.rb:18:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/remote_ip.rb:79:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/request_id.rb:25:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0.1.rc2/lib/katello/prevent_json_parsing.rb:12:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/method_override.rb:22:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/runtime.rb:22:in `call'
/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/cache/strategy/local_cache_middleware.rb:27:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/executor.rb:12:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/sendfile.rb:111:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-3.4.1/lib/secure_headers/middleware.rb:12:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/railties-5.1.4/lib/rails/engine.rb:522:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/railties-5.1.4/lib/rails/railtie.rb:185:in `public_send'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/railties-5.1.4/lib/rails/railtie.rb:185:in `method_missing'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/urlmap.rb:68:in `block in call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/urlmap.rb:53:in `each'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/urlmap.rb:53:in `call'

/usr/share/passenger/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_request'

/usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:141:in `accept_and_process_next_request'

/usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:109:in `main_loop'

/usr/share/passenger/phusion_passenger/request_handler.rb:455:in `block (3 levels) in start_threads'

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'

2. Bug #22717 is still there. In short when you sync Ubuntu repos there is no Operating System created automatically

3. Bug #22720 is still there. In short the links that point the ubuntu conten views do not work properly.  You have to go to parent first to access it.

4.  What is the process to subscribe to a debian repo?  ie Do we need subscription manager and katello agent for debian /ubuntu ?

#5 - 03/22/2018 12:34 AM - Justin Sherrill

That initial error looks like your db isn't migrated.  What install commands did you run?

Do you still see that error if you run 'foreman-rake db:migrate

#6 - 03/22/2018 09:44 AM - Matthew Smith

I have found that I now have to run the install in 3 stages to get to where I want.  If I run the second or third install command first it will fail ( I can

remeber I but I think it could be due to the foreman-rake db:migrate ).

foreman-installer --scenario katello \

--foreman-initial-organization "${ORG}"  \

--foreman-initial-location "${LOCATION}" \

--foreman-admin-username "admin" --foreman-admin-password "${PASSWORD}" \

--foreman-puppetrun "true" \

--enable-foreman-plugin-bootdisk \

--enable-foreman-plugin-discovery \

--enable-foreman-plugin-hooks \

--enable-foreman-compute-vmware \

--enable-foreman-compute-ec2 \

--enable-foreman-compute-openstack \

--enable-foreman-compute-ovirt \

--enable-foreman-compute-libvirt \

--enable-foreman-compute-gce \

--foreman-proxy-tftp "true" \

--foreman-proxy-tftp-servername "${TFTP_SERVER_IP}"

foreman-installer --scenario katello \

--foreman-initial-organization "${ORG}"  \

--foreman-initial-location "${LOCATION}" \

--foreman-admin-username "admin" --foreman-admin-password "${PASSWORD}" \

--foreman-puppetrun "true" \

--enable-foreman-plugin-bootdisk \

--enable-foreman-plugin-discovery \

--enable-foreman-plugin-hooks \

--enable-foreman-compute-vmware \

--enable-foreman-compute-ec2 \

--enable-foreman-compute-openstack \

--enable-foreman-compute-ovirt \

--enable-foreman-compute-libvirt \

--enable-foreman-compute-gce \

--foreman-proxy-tftp "true" \

--foreman-proxy-tftp-servername "${TFTP_SERVER_IP}" \

--enable-foreman-plugin-remote-execution \

--enable-foreman-plugin-ansible

foreman-installer --scenario katello \

--foreman-initial-organization "${ORG}"  \

--foreman-initial-location "${LOCATION}" \

--foreman-admin-username "admin" --foreman-admin-password "${PASSWORD}" \

--foreman-puppetrun "true" \
--enable-foreman-plugin-bootdisk \

--enable-foreman-plugin-discovery \

--enable-foreman-compute-vmware \

--enable-foreman-compute-ec2 \

--enable-foreman-compute-openstack \

--enable-foreman-compute-ovirt \

--enable-foreman-compute-libvirt \

--enable-foreman-compute-gce \

--foreman-proxy-tftp "true" \

--foreman-proxy-tftp-servername "${TFTP_SERVER_IP}" \

--enable-foreman-plugin-remote-execution \

--enable-foreman-plugin-ansible \

--foreman-proxy-dns-interface "${INTERFACE}" \

--foreman-proxy-dns "true" \

--foreman-proxy-dns-zone "${DOMAIN}" \

--foreman-proxy-dns-forwarders "${DNS_FORWARDERS}" \

--foreman-proxy-dns-reverse "${DNS_REVERSE_ZONE}.in-addr.arpa" \

--foreman-proxy-dhcp "true" \

--foreman-proxy-dhcp-interface ${INTERFACE} \

--foreman-proxy-dhcp-range "${DNS_ZONE}.${BEGIN_RANGE} ${DNS_ZONE}.${END_RANGE}" \

--foreman-proxy-dhcp-gateway "${DHCP_GATEWAY}"  \

--foreman-proxy-dhcp-nameservers "${DHCP_SERVER_IP}" \

--foreman-proxy-dhcp-subnets "${DHCP_SUBNET}"

I've just ran foreman-rake as you have suggested and get the following :

[root@katello ~]# foreman-rake db:migrate --trace

/opt/theforeman/tfm/root/usr/share/gems/gems/sequel-4.20.0/lib/sequel/database/schema_generator.rb:19: warning: constant ::Fixnum is deprecated

/opt/theforeman/tfm/root/usr/share/gems/gems/sequel-4.20.0/lib/sequel/database/schema_generator.rb:19: warning: constant ::Bignum is deprecated

/usr/share/foreman/lib/foreman.rb:8: warning: already initialized constant Foreman::UUID_REGEXP

/usr/share/foreman/lib/foreman.rb:8: warning: previous definition of UUID_REGEXP was here

/usr/share/foreman/lib/core_extensions.rb:183: warning: already initialized constant ActiveSupport::MessageEncryptor::DEFAULT_CIPHER

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/message_encryptor.rb:22: warning: previous definition of

DEFAULT_CIPHER was here

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/appender.rb:139: warning: constant ::Fixnum is deprecated

Invoke db:migrate (first_time)

Invoke environment (first_time)

Execute environment

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/logger.rb:295: warning: constant ::Fixnum is deprecated

The PGconn, PGresult, and PGError constants are deprecated, and will be

removed as of version 1.0.

You should use PG::Connection, PG::Result, and PG::Error instead, respectively.

Called from /opt/theforeman/tfm/root/usr/share/gems/gems/polyglot-0.3.5/lib/polyglot.rb:65:in `require'

Invoke db:load_config (first_time)

Execute db:load_config

Invoke plugin:refresh_migrations (first_time)

Invoke environment

Execute plugin:refresh_migrations

Execute db:migrate

rake aborted!

StandardError: An error has occurred, this and all later migrations canceled:

Directly inheriting from ActiveRecord::Migration is not supported. Please specify the Rails release the migration was written for:

class CreateDiscoveryRules < ActiveRecord::Migration[4.2]

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:525:in `inherited

'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_discovery-10.0.0/db/migrate/20141107091416_create_discove

ry_rules.rb:1:in `&lt;top (required)&gt;'

/opt/rh/rh-ruby24/root/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'

/opt/rh/rh-ruby24/root/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'

/opt/theforeman/tfm/root/usr/share/gems/gems/polyglot-0.3.5/lib/polyglot.rb:65:in `require'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/dependencies.rb:292:in `bloc

k in require'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/dependencies.rb:258:in `load

_dependency'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/dependencies.rb:292:in `requ

ire'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:962:in `load_migr

ation'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:958:in `migration
'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:953:in `disable_d

dl_transaction'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1305:in `use_tran

saction?'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1297:in `ddl_tran

saction'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1229:in `execute_

migration_in_transaction'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1201:in `block in

 migrate_without_lock'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1200:in `each'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1200:in `migrate_

without_lock'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1148:in `block in

 migrate'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1317:in `with_adv

isory_lock'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1148:in `migrate'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1007:in `up'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:985:in `migrate'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/tasks/database_tasks.rb:171:in

 `migrate'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/railties/databases.rake:58:in 

`block (2 levels) in &lt;top (required)&gt;'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:250:in `block in execute'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:250:in `each'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:250:in `execute'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:194:in `block in invoke_with_call_chai

n'

/opt/rh/rh-ruby24/root/usr/share/ruby/monitor.rb:214:in `mon_synchronize'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:187:in `invoke_with_call_chain'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:180:in `invoke'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:152:in `invoke_task'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:108:in `block (2 levels) in top

_level'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:108:in `each'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:108:in `block in top_level'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:117:in `run_with_threads'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:102:in `top_level'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:80:in `block in run'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:178:in `standard_exception_hand

ling'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:77:in `run'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/exe/rake:27:in `&lt;top (required)&gt;'

/opt/rh/rh-ruby24/root/usr/bin/rake:22:in `load'

/opt/rh/rh-ruby24/root/usr/bin/rake:22:in `&lt;main&gt;'

StandardError: Directly inheriting from ActiveRecord::Migration is not supported. Please specify the Rails rel

ease the migration was written for:

 
class CreateDiscoveryRules < ActiveRecord::Migration[4.2]

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:525:in `inherited

'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_discovery-10.0.0/db/migrate/20141107091416_create_discove

ry_rules.rb:1:in `&lt;top (required)&gt;'

/opt/rh/rh-ruby24/root/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'

/opt/rh/rh-ruby24/root/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'

/opt/theforeman/tfm/root/usr/share/gems/gems/polyglot-0.3.5/lib/polyglot.rb:65:in `require'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/dependencies.rb:292:in `bloc

k in require'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/dependencies.rb:258:in `load

_dependency'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/dependencies.rb:292:in `requ

ire'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:962:in `load_migr

ation'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:958:in `migration

'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:953:in `disable_d

dl_transaction'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1305:in `use_tran

saction?'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1297:in `ddl_tran

saction'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1229:in `execute_
migration_in_transaction'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1201:in `block in

 migrate_without_lock'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1200:in `each'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1200:in `migrate_

without_lock'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1148:in `block in

 migrate'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1317:in `with_adv

isory_lock'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1148:in `migrate'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:1007:in `up'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/migration.rb:985:in `migrate'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/tasks/database_tasks.rb:171:in

 `migrate'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/railties/databases.rake:58:in 

`block (2 levels) in &lt;top (required)&gt;'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:250:in `block in execute'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:250:in `each'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:250:in `execute'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:194:in `block in invoke_with_call_chai

n'

/opt/rh/rh-ruby24/root/usr/share/ruby/monitor.rb:214:in `mon_synchronize'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:187:in `invoke_with_call_chain'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/task.rb:180:in `invoke'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:152:in `invoke_task'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:108:in `block (2 levels) in top

_level'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:108:in `each'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:108:in `block in top_level'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:117:in `run_with_threads'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:102:in `top_level'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:80:in `block in run'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:178:in `standard_exception_hand

ling'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/lib/rake/application.rb:77:in `run'

/opt/rh/rh-ruby24/root/usr/share/gems/gems/rake-12.0.0/exe/rake:27:in `&lt;top (required)&gt;'

/opt/rh/rh-ruby24/root/usr/bin/rake:22:in `load'

/opt/rh/rh-ruby24/root/usr/bin/rake:22:in `&lt;main&gt;'

Tasks: TOP => db:migrate

#7 - 03/22/2018 10:06 AM - Matthew Smith

I just reran foreman-installer and as you can see it passed but when I go to create a host I get what looks like to be the same error.

[root@katello ~]# foreman-installer --scenario katello \

--foreman-initial-organization "${ORG}" \

--foreman-initial-location "${LOCATION}" \

--foreman-admin-username "admin" --foreman-admin-password "${PASSWORD}" \

--foreman-puppetrun "true" \

--enable-foreman-plugin-bootdisk \

--enable-foreman-plugin-discovery \

--enable-foreman-compute-vmware \

--enable-foreman-compute-ec2 \

--enable-foreman-compute-openstack \

--enable-foreman-compute-ovirt \

--enable-foreman-compute-libvirt \

--enable-foreman-compute-gce \

--foreman-proxy-tftp "true" \

--foreman-proxy-tftp-servername "${TFTP_SERVER_IP}" \

--enable-foreman-plugin-remote-execution \

--enable-foreman-plugin-ansible \

--foreman-proxy-dns-interface "${INTERFACE}" \

--foreman-proxy-dns "true" \

--foreman-proxy-dns-zone "${DOMAIN}" \

--foreman-proxy-dns-forwarders "${DNS_FORWARDERS}" \

--foreman-proxy-dns-reverse "${DNS_REVERSE_ZONE}.in-addr.arpa" \

--foreman-proxy-dhcp "true" \

--foreman-proxy-dhcp-interface ${INTERFACE} \

--foreman-proxy-dhcp-range "${DNS_ZONE}.${BEGIN_RANGE} ${DNS_ZONE}.${END_RANGE}" \

--foreman-proxy-dhcp-gateway "${DHCP_GATEWAY}" \

--foreman-proxy-dhcp-nameservers "${DHCP_SERVER_IP}" \

--foreman-proxy-dhcp-subnets "${DHCP_SUBNET}"
 Installing             Done                                               [100%] [......................................................]

Success!   * Katello is running at https://katello.localdomain   * To install an additional Foreman proxy on separate machine continue by running:

foreman-proxy-certs-generate --foreman-proxy-fqdn "$FOREMAN_PROXY" --certs-tar "/root/$FOREMAN_PROXY-certs.tar

" 

  The full log is at /var/log/foreman-installer/katello.log

 Create Hosts:

Oops, we're sorry but something went wrong undefined method `execution' for #<Nic::Managed:0x007f72ee9a41c0>

If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing system, You would probably need to attach the Full

trace , relevant log entries, and it is highly recommended to also attach the foreman-debug output.

NoMethodError

undefined method `execution' for #<Nic::Managed:0x007f72ee9a41c0>

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activemodel-5.1.4/lib/active_model/attribute_methods.rb:432:in `method_missing'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/relation/delegation.rb:39:in `each'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/relation/delegation.rb:39:in `each'

/usr/share/foreman/app/models/host/base.rb:480:in `detect'

/usr/share/foreman/app/models/host/base.rb:480:in `get_interface_by_flag'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_remote_execution-1.4.5/app/models/concerns/foreman_remote_execution/host_extensions.r

b:60:in `execution_interface'

/opt/theforeman/tfm/root/usr/share/gems/gems/foreman_remote_execution-1.4.5/app/models/concerns/foreman_remote_execution/host_extensions.r

b:106:in `build_required_interfaces'

/usr/share/foreman/app/models/host/base.rb:76:in `initialize'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/routing/url_for.rb:106:in `initialize'

/usr/share/foreman/app/models/host/managed.rb:50:in `initialize'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/inheritance.rb:66:in `new'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/inheritance.rb:66:in `new'

/usr/share/foreman/app/models/concerns/foreman/sti.rb:19:in `new'

/usr/share/foreman/app/models/host.rb:15:in `method_missing'

/usr/share/foreman/app/controllers/hosts_controller.rb:86:in `new'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_controller/metal/basic_implicit_render.rb:4:in `send_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/abstract_controller/base.rb:186:in `process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_controller/metal/rendering.rb:30:in `process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/abstract_controller/callbacks.rb:20:in `block in process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:108:in `block in run_callbacks'

/usr/share/foreman/app/controllers/concerns/application_shared.rb:15:in `set_timezone'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:117:in `block in run_callbacks'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:117:in `block in run_callbacks'

/usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in `set_topbar_sweeper_controller'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:117:in `block in run_callbacks'

/opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.4.1/lib/audited/sweeper.rb:14:in `around'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:117:in `block in run_callbacks'

/opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.4.1/lib/audited/sweeper.rb:14:in `around'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:117:in `block in run_callbacks'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:135:in `run_callbacks'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/abstract_controller/callbacks.rb:19:in `process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_controller/metal/rescue.rb:20:in `process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/notifications.rb:166:in `block in instrument'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/notifications/instrumenter.rb:21:in `instrument'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/notifications.rb:166:in `instrument'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_controller/metal/instrumentation.rb:30:in `process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_controller/metal/params_wrapper.rb:252:in `process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activerecord-5.1.4/lib/active_record/railties/controller_runtime.rb:22:in `process_action'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/abstract_controller/base.rb:124:in `process'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.4/lib/action_view/rendering.rb:30:in `process'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_controller/metal.rb:189:in `dispatch'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_controller/metal.rb:253:in `dispatch'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/routing/route_set.rb:49:in `dispatch'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/routing/route_set.rb:31:in `serve'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/journey/router.rb:50:in `block in serve'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/journey/router.rb:33:in `each'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/journey/router.rb:33:in `serve'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/routing/route_set.rb:834:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.6/lib/apipie/static_dispatcher.rb:65:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.6/lib/apipie/extractor/recorder.rb:136:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'
/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.6/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:8:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/etag.rb:25:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/conditional_get.rb:25:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/head.rb:12:in `call'

/usr/share/foreman/lib/middleware/session_safe_logging.rb:17:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/session/abstract/id.rb:232:in `context'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/session/abstract/id.rb:226:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/cookies.rb:613:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/callbacks.rb:26:in `block in call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:97:in `run_callbacks'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/callbacks.rb:24:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/debug_exceptions.rb:59:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/railties-5.1.4/lib/rails/rack/logger.rb:36:in `call_app'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/railties-5.1.4/lib/rails/rack/logger.rb:26:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/sprockets-rails-3.2.1/lib/sprockets/rails/quiet_assets.rb:13:in `call'

/usr/share/foreman/lib/middleware/tagged_logging.rb:18:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/remote_ip.rb:79:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/request_id.rb:25:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.6.0.1.rc2/lib/katello/prevent_json_parsing.rb:12:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/method_override.rb:22:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/runtime.rb:22:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/cache/strategy/local_cache_middleware.rb:27:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/executor.rb:12:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/sendfile.rb:111:in `call'

/opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-3.4.1/lib/secure_headers/middleware.rb:12:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/railties-5.1.4/lib/rails/engine.rb:522:in `call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/railties-5.1.4/lib/rails/railtie.rb:185:in `public_send'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/railties-5.1.4/lib/rails/railtie.rb:185:in `method_missing'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/urlmap.rb:68:in `block in call'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/urlmap.rb:53:in `each'

/opt/rh/tfm-ror51/root/usr/share/gems/gems/rack-2.0.3/lib/rack/urlmap.rb:53:in `call'

/usr/share/passenger/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_request'

/usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:141:in `accept_and_process_next_request'

/usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:109:in `main_loop'

/usr/share/passenger/phusion_passenger/request_handler.rb:455:in `block (3 levels) in start_threads'

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'

#8 - 04/11/2018 05:34 PM - Justin Sherrill

- Assignee set to Zach Huntington-Meath

- translation missing: en.field_release set to 284

#9 - 04/12/2018 01:45 PM - Ivan Necas

- Has duplicate Bug #22871: Oops, we're sorry but something went wrong undefined method `execution' for #<Nic::Managed:0x000000097a059

added

#10 - 04/12/2018 01:48 PM - Ivan Necas

- Related to Refactor #21819: Add Rails 5 style migrations added

#11 - 06/17/2018 07:44 PM - Matthew Smith

- Status changed from Need more information to Resolved

The problem has disappeared with 3.6.0 and 3.7RC1.

Powered by TCPDF (www.tcpdf.org)

05/17/2024 8/8

http://www.tcpdf.org

